Bug 19035 - up2date reinstalls services previously disabled by user.
Summary: up2date reinstalls services previously disabled by user.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-13 09:44 UTC by Eivind
Modified: 2007-03-27 03:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-17 16:00:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eivind 2000-10-13 09:44:42 UTC
Procedure:

* Install stock Redhat 7.0
* Disable the starting of rhnsd in runlevel 3. (by removing the symlink in 
  the rc3.d directory
* Run up2date, and update packages.

- The disabled service is now run once more. (the symlink reappear)

This is /bad/. If I turn off a daemon, it is because I do not want it to
run. Having an update program automatically turning it back on means I'm
likely to run services I thougth I had shut off. And consequently may well
neglect to upgrade in the future, thinking that "I don't run that service
anyway".

And yes, I know this does not happen if I rpm -e the package, instead of
merely disabling it in a runlevel. But many services I need now and then,
but not daily. Besides, rpm-e means I'll have to download it ower should I
wish to use it afterall.

Comment 1 Cristian Gafton 2000-10-17 22:50:58 UTC
Please use the right command to disable a service:
	/sbin/chkconfig --level 345 rhnsd off




Note You need to log in before you can comment on or make changes to this bug.